2019-12-07 16:55 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001158FSSCPsoundpublic2006-12-20 04:04
Reporterjonas 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.9 
Summary0001158: FS2 crashes after a few missions in a row
DescriptionA few minutes into a mission, the sound suddenly drops out. A few seconds after that, the game crashes.

This mostly happens after playing 2 to 5 missions in the campaign (mission restarts included). One exception is "Slaying Ravana", where the game crashed every-time e few minutes in, after I had fired the first torpedos.

By disabling all sound in the preferences of freespace, the game didn't crash in that mission.

The game crashes under similar circumstances on both my Firewire 800 MDD PowerMac and a G4 PowerBook 15' with optical audio. Both running MacOSX 10.4.8.
You can find more information about the computers in the two crash logs.
Additional InformationI haven't done any extensive testing so I'm not sure if its the same bug in both cases. If you don't got any ideas, I can play a few missions without sound to se if it crashes.

I have tested a few different builds, including one I did myself with code from CVS (25/11), and the problem is reproducible in all cases.

I couldn't find anything in the logs but I'm uploading them anyway. Tell me if you want more information...
TagsNo tags attached.
Attached Files
  • zip file icon Logs.zip (31,082 bytes) 2006-11-26 14:50

-Relationships
+Relationships

-Notes

~0007272

taylor (administrator)

I think that this should be fixed now. I have never been able to reproduce the crash, but I did have other sound issues which might have been related to the same code problem(s).

Give http://fs2source.warpcore.org/exes/osx/FS2_Open-3.6.9-RC8.dmg a try and let me know if it solves the problem.

The code fixes in question are already in the 3_6_9 stable branch of CVS, but I won't have time to get them into HEAD until this weekend.

~0007310

taylor (administrator)

Made quite a few modifications and updated the RC8 build, and now there are multiple reports that the crashing has been fixed. Preparing the patch for CVS now, and will commit as soon as that's ready.

As far as bugs go, this one sucked. ;)


Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-11-26 14:50 jonas New Issue
2006-11-26 14:50 jonas File Added: Logs.zip
2006-12-07 15:43 taylor Note Added: 0007272
2006-12-07 15:43 taylor Assigned To => taylor
2006-12-07 15:43 taylor Status new => assigned
2006-12-20 04:04 taylor Status assigned => resolved
2006-12-20 04:04 taylor Fixed in Version => 3.6.9
2006-12-20 04:04 taylor Resolution open => fixed
2006-12-20 04:04 taylor Note Added: 0007310
+Issue History